comedi_from_physical
Prev | 5.4.1. Core Functions | Next

## Name

comedi_from_physical — convert physical units to sample using calibration data

## Synopsis

    #include <comedilib.h>

`lsampl_t comedi_from_physical(` | double data,
| const comedi_polynomial_t * conversion_polynomial`)`;

## Description

Converts `data` given in physical units into Comedi's integer sample values (lsampl_t, between `0` and maxdata — see `comedi_get_maxdata`). The `conversion_polynomial` parameter is obtained from either `comedi_get_hardcal_converter` or `comedi_get_softcal_converter`. The allows non linear and board specific correction. The result will be rounded using the C library's current rounding direction. No range checking of the input `data` is performed. It is up to you to ensure your data is within the limits of the output range you are using.

## Return value

Comedi sample value corresponding to input physical value.

Prev | Up | Next
comedi_from_phys | Home | comedi_get_board_name